// Read file list and put it to a STD vector
// S.Chekanov (ANL)

#include <string>
#include <vector>
#include <stdio.h>
#include <iostream>
#include <fstream>
#include <algorithm>


using namespace std;


// Read file list and put it to a STD vector
vector<string> getfiles(char * directory) {

        vector <string> ntup;    
        string name=string(directory);
        ifstream myfile;
        myfile.open(name.c_str(), ios::in);
        if (!myfile) {
                cerr << "Can't open input file:  " << name << endl;
                 return ntup;
        } else {
                cout << "-> Read data file=" << name << endl;
        }
        string temp;
        while (myfile >> temp) {
                temp.erase(temp.begin(), std::find_if(temp.begin(), temp.end(), not1(ptr_fun<int, int>(isspace))));
                if (temp.find("#") == 0) continue;
                ntup.push_back(temp);
        }
        cout << "-> Number of runs=" << ntup.size()  << endl;
        myfile.close();
        for (unsigned int i=0; i<ntup.size(); i++) {
                cout << ".. file to analyse="+ntup[i] << endl;
        }

    return ntup;

}
